package com.fr.plugin.sxka.sso.entity;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @Author fr.open
 * @Date 2021/5/13
 * @Description
 **/
@Entity
@Table(name = "plugin_sxka_user_info")
public class UserInfoEntity extends BaseEntity {

    private static final long serialVersionUID = 5278704449983309952L;

    @Column(name = "op_name")
    private String op_name;

    @Column(name = "organization")
    private String organization;

    @Column(name = "account_type")
    private String account_type;

    @Column(name = "login_type")
    private String login_type;

    @Column(name = "gs_name")
    private String gs_name;

    @Column(name = "gs_name_en")
    private String gs_name_en;

    @Column(name = "gs_type")
    private String gs_type;

    @Column(name = "gs_address")
    private String gs_address;

    @Column(name = "gs_address_en")
    private String gs_address_en;

    @Column(name = "gs_tax_code")
    private String gs_tax_code;

    @Column(name = "gs_expires")
    private String gs_expires;

    @Column(name = "gs_postcode")
    private String gs_postcode;

    @Column(name = "gs_scope")
    private String gs_scope;

    @Column(name = "gs_status")
    private String gs_status;

    @Column(name = "gs_regcap")
    private String gs_regcap;

    @Column(name = "gs_regcap_cur")
    private String gs_regcap_cur;

    @Column(name = "gs_social_credit_code")
    private String gs_social_credit_code;

    @Column(name = "gs_code")
    private String gs_code;

    @Column(name = "gs_regorg")
    private String gs_regorg;

    @Column(name = "gs_reg_number")
    private String gs_reg_number;

    @Column(name = "gs_location")
    private String gs_location;

    @Column(name = "cus_number")
    private String cus_number;

    @Column(name = "cus_expires")
    private String cus_expires;

    @Column(name = "cus_master")
    private String cus_master;

    @Column(name = "status")
    private String status;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getOp_name() {
        return op_name;
    }

    public void setOp_name(String op_name) {
        this.op_name = op_name;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getAccount_type() {
        return account_type;
    }

    public void setAccount_type(String account_type) {
        this.account_type = account_type;
    }

    public String getLogin_type() {
        return login_type;
    }

    public void setLogin_type(String login_type) {
        this.login_type = login_type;
    }

    public String getGs_name() {
        return gs_name;
    }

    public void setGs_name(String gs_name) {
        this.gs_name = gs_name;
    }

    public String getGs_name_en() {
        return gs_name_en;
    }

    public void setGs_name_en(String gs_name_en) {
        this.gs_name_en = gs_name_en;
    }

    public String getGs_type() {
        return gs_type;
    }

    public void setGs_type(String gs_type) {
        this.gs_type = gs_type;
    }

    public String getGs_address() {
        return gs_address;
    }

    public void setGs_address(String gs_address) {
        this.gs_address = gs_address;
    }

    public String getGs_address_en() {
        return gs_address_en;
    }

    public void setGs_address_en(String gs_address_en) {
        this.gs_address_en = gs_address_en;
    }

    public String getGs_tax_code() {
        return gs_tax_code;
    }

    public void setGs_tax_code(String gs_tax_code) {
        this.gs_tax_code = gs_tax_code;
    }

    public String getGs_expires() {
        return gs_expires;
    }

    public void setGs_expires(String gs_expires) {
        this.gs_expires = gs_expires;
    }

    public String getGs_postcode() {
        return gs_postcode;
    }

    public void setGs_postcode(String gs_postcode) {
        this.gs_postcode = gs_postcode;
    }

    public String getGs_scope() {
        return gs_scope;
    }

    public void setGs_scope(String gs_scope) {
        this.gs_scope = gs_scope;
    }

    public String getGs_status() {
        return gs_status;
    }

    public void setGs_status(String gs_status) {
        this.gs_status = gs_status;
    }

    public String getGs_regcap() {
        return gs_regcap;
    }

    public void setGs_regcap(String gs_regcap) {
        this.gs_regcap = gs_regcap;
    }

    public String getGs_regcap_cur() {
        return gs_regcap_cur;
    }

    public void setGs_regcap_cur(String gs_regcap_cur) {
        this.gs_regcap_cur = gs_regcap_cur;
    }

    public String getGs_social_credit_code() {
        return gs_social_credit_code;
    }

    public void setGs_social_credit_code(String gs_social_credit_code) {
        this.gs_social_credit_code = gs_social_credit_code;
    }

    public String getGs_code() {
        return gs_code;
    }

    public void setGs_code(String gs_code) {
        this.gs_code = gs_code;
    }

    public String getGs_regorg() {
        return gs_regorg;
    }

    public void setGs_regorg(String gs_regorg) {
        this.gs_regorg = gs_regorg;
    }

    public String getGs_reg_number() {
        return gs_reg_number;
    }

    public void setGs_reg_number(String gs_reg_number) {
        this.gs_reg_number = gs_reg_number;
    }

    public String getGs_location() {
        return gs_location;
    }

    public void setGs_location(String gs_location) {
        this.gs_location = gs_location;
    }

    public String getCus_number() {
        return cus_number;
    }

    public void setCus_number(String cus_number) {
        this.cus_number = cus_number;
    }

    public String getCus_expires() {
        return cus_expires;
    }

    public void setCus_expires(String cus_expires) {
        this.cus_expires = cus_expires;
    }

    public String getCus_master() {
        return cus_master;
    }

    public void setCus_master(String cus_master) {
        this.cus_master = cus_master;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
