package com.fr.plugin.sxka.sso;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.sxka.sso.dao.UserInfoDao;
import com.fr.plugin.sxka.sso.entity.UserInfoEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2021/5/13
 * @Description
 **/
public class RoleDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return UserInfoEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return UserInfoDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        RoleDBAccessProvider.dbAccessor = dbAccessor;
    }
}
